FROM grafana/grafana:latest-ubuntu
RUN grafana-cli plugins install grafana-worldmap-panel
COPY plugins/* /var/lib/grafana/plugins/
USER root
RUN apt-get update && apt-get install -y  \
    apt-transport-https \
    curl \
    software-properties-common
RUN curl -sL https://deb.nodesource.com/setup_12.x | bash -
RUN apt-get update && apt-get install -y nodejs
RUN npm install --global yarn
RUN yarn install --cwd /var/lib/grafana/plugins/pht-sparql --non-interactive
WORKDIR /var/lib/grafana/plugins/pht-sparql 
RUN yarn dev
